## comune a tutte le app che si configureranno tramite spring.cloud.config su questa app come server
gpec.remote.service.folder: /opt/gpec/services

eureka:
  instance:
#    hostname: {{instance.name}}
    preferIpAddress: true
    leaseRenewalIntervalInSeconds: 10
    health-check-url-path: /actuator/health
    metadata-map:
      zone: CA-DEV
      startup: ${random.int}    #needed to trigger info and endpoint update after restart
  client:
    preferSameZoneEureka: true
    healthcheck.enabled: true
    registerWithEureka: true
    fetchRegistry: true
    serviceUrl.defaultZone: ${EUREKA_URI:http://svm-gpec3.svil.postecom.local:8761/eureka/}

spring.boot.admin.client.instance.metadata.tags.environment: development
spring.boot.admin.client.instance.prefer-ip: true

spring.sleuth.sampler.probability: 1
spring.sleuth.rxjava.schedulers.hook.enabled: false

# gestione delle policy di mirroring etc, da codice
rabbit.custom.cluster.ha : dynamic

management:
  endpoints:
    web.exposure.include: "*"
    web.path-mapping.health: health
    health.show-details: always
  endpoint:
    restart.enabled: true
    shutdown.enabled: true
  security:
    enabled: false
  metrics.export.simple.enabled: true

endpoints:
  shutdown:
    enabled: true
  restart:
    enabled: true
  health:
    show-details: ALWAYS


logging:
  pattern.level: "%d{ABSOLUTE} [%X{traceId}/%X{spanId}] %-5p [%t] %C{2} - %m%n"
  level:
#    root: INFO
    it.posteitaliane.pec: DEBUG
    mcp.cloudtrace: info
    zipkin2.reporter: DEBUG
    com.hazelcast: INFO
    org.springframework.amqp: DEBUG
    org.springframework.data.couchbase.repository.query: DEBUG

spring:
#  rabbitmq:
#    host: "svm-pec1.svil.postecom.local,svm-gpec2.svil.postecom.local"
#    username: rabbitmq
#    password: admin
  couchbase:
    bootstrap-hosts: svm-gpeccb.svil.postecom.local
    bucket:
      name: lots
      password: HwNbVfY2TVsBqgX
  data:
    couchbase:
      auto-index: true
      useISOStringConverterForDate: true
  jackson:
    serialization.FAIL_ON_EMPTY_BEANS: false